diff -ru ../gnomemeeting-0.98.0/configure gnomemeeting-0.98.0/configure
--- ../gnomemeeting-0.98.0/configure	Sun Jun 22 18:51:07 2003
+++ gnomemeeting-0.98.0/configure	Tue Jun 24 17:40:48 2003
@@ -9587,11 +9587,11 @@
     ;;
 
   darwin* )
-    H323_CFLAGS="-DP_MACOSX $ARCH_H323_CFLAGS -O2 -Wall -DNO_LONG_DOUBLE -DPHAS_TEMPLATES -DP_USE_PRAGMA -DPTRACING -DSTATIC_LIBS_USED"
-    H323_LIBS="-multiply_defined suppress -lh323_Darwin_ppc_r_s -lpt_Darwin_ppc_r_s -lssl -lcrypto -lX11 -framework AudioToolbox -framework CoreAudio -framework CoreServices"
-    LIBPT_FILE="libpt_Darwin_ppc_r_s.a"
-    LIBOPENH323_FILE="libh323_Darwin_ppc_r_s.a"
-    HAS_SPEEX="enabled"
+    H323_CFLAGS="-DP_MACOSX=66 $ARCH_H323_CFLAGS -O2 -Wall -DNO_LONG_DOUBLE -D_REENTRANT -fno-common -dynamic -DPHAS_TEMPLATES -DPTRACING -DSTATIC_LIBS_USED"
+    H323_LIBS="-multiply_defined suppress -lh323_Darwin_ppc_r_s -lpt_Darwin_ppc_r_s -lexpat -lssl -lcrypto -lX11 -framework AudioToolbox -framework CoreAudio -framework CoreServices"
+    LIBPT_FILE="libpt_Darwin_ppc_r_s.a"
+    LIBOPENH323_FILE="libh323_Darwin_ppc_r_s.a"
+    HAS_SPEEX="enabled"
     echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
     gm_platform="macosx"
diff -ru ../gnomemeeting-0.98.0/configure.in gnomemeeting-0.98.0/configure.in
--- ../gnomemeeting-0.98.0/configure.in	Sun Jun 22 18:46:05 2003
+++ gnomemeeting-0.98.0/configure.in	Tue Jun 24 17:40:48 2003
@@ -102,11 +102,11 @@
     ;;
 
   darwin* )
-    H323_CFLAGS="-DP_MACOSX $ARCH_H323_CFLAGS -O2 -Wall -DNO_LONG_DOUBLE -DPHAS_TEMPLATES -DP_USE_PRAGMA -DPTRACING -DSTATIC_LIBS_USED"
-    H323_LIBS="-multiply_defined suppress -lh323_Darwin_ppc_r_s -lpt_Darwin_ppc_r_s -lssl -lcrypto -lX11 -framework AudioToolbox -framework CoreAudio -framework CoreServices"
-    LIBPT_FILE="libpt_Darwin_ppc_r_s.a"
-    LIBOPENH323_FILE="libh323_Darwin_ppc_r_s.a"
-    HAS_SPEEX="enabled"
+    H323_CFLAGS="-DP_MACOSX=66 $ARCH_H323_CFLAGS -O2 -Wall -DNO_LONG_DOUBLE -D_REENTRANT -fno-common -dynamic -DPHAS_TEMPLATES -DPTRACING -DSTATIC_LIBS_USED"
+    H323_LIBS="-multiply_defined suppress -lh323_Darwin_ppc_r_s -lpt_Darwin_ppc_r_s -lexpat -lssl -lcrypto -lX11 -framework AudioToolbox -framework CoreAudio -framework CoreServices"
+    LIBPT_FILE="libpt_Darwin_ppc_r_s.a"
+    LIBOPENH323_FILE="libh323_Darwin_ppc_r_s.a"
+    HAS_SPEEX="enabled"
     AC_MSG_RESULT([yes])
     gm_platform="macosx"
     ;;
diff -Nurd -x'*~' gnomemeeting-0.98.0.orig/lib/xdap/xdap.c gnomemeeting-0.98.0/lib/xdap/xdap.c
--- gnomemeeting-0.98.0.orig/lib/xdap/xdap.c	2003-04-08 17:40:51.000000000 -0400
+++ gnomemeeting-0.98.0/lib/xdap/xdap.c	2006-01-19 13:46:12.000000000 -0500
@@ -156,7 +156,7 @@
 	   xmlEntityPtr (**oldgetent) (void *, const xmlChar *), int noerr)
 {
   xmlDocPtr xp;
-  xmlSAXHandler sax;
+  xmlSAXHandlerV1 sax;
 
   memset (&sax, 0, sizeof sax);
   sax = xmlDefaultSAXHandler;	/* Copy original handler */
diff -Nurd -x'*~' gnomemeeting-0.98.0.orig/src/Makefile.in gnomemeeting-0.98.0/src/Makefile.in
--- gnomemeeting-0.98.0.orig/src/Makefile.in	2003-06-23 05:19:10.000000000 -0400
+++ gnomemeeting-0.98.0/src/Makefile.in	2006-01-19 16:16:48.000000000 -0500
@@ -120,7 +120,7 @@
 gnomeconfdir = @gnomeconfdir@
 gnomedatadir = @gnomedatadir@
 
-INCLUDES =  	-DGNOMELOCALEDIR=\""$(datadir)/locale"\" -I$(top_srcdir)/src -I$(top_srcdir)/lib -I$(top_srcdir)/lib/widgets -I$(top_srcdir)/lib/xdap $(GNOME_INCLUDEDIR) @GNOMEMEETING_INCLUDES@ -DGNOMEMEETING_IMAGES=\""$(datadir)/pixmaps"\" -DSCHEMA_AGE=@SCHEMA_AGE@ -DDATADIR=\""$(datadir)"\" -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGNOME_DISABLE_DEPRECATED
+INCLUDES =  	-DGNOMELOCALEDIR=\""$(datadir)/locale"\" -I$(top_srcdir)/src -I$(top_srcdir)/lib -I$(top_srcdir)/lib/widgets -I$(top_srcdir)/lib/xdap $(GNOME_INCLUDEDIR) @GNOMEMEETING_INCLUDES@ -DGNOMEMEETING_IMAGES=\""$(datadir)/pixmaps"\" -DSCHEMA_AGE=@SCHEMA_AGE@ -DDATADIR=\""$(datadir)"\" -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED
 
 
 bin_SCRIPTS = gnomemeeting-config-tool
diff -Nurd -x'*~' gnomemeeting-0.98.0.orig/src/common.h gnomemeeting-0.98.0/src/common.h
--- gnomemeeting-0.98.0.orig/src/common.h	2003-06-17 05:48:21.000000000 -0400
+++ gnomemeeting-0.98.0/src/common.h	2006-01-19 13:46:35.000000000 -0500
@@ -104,9 +104,8 @@
 
 #define GM_WINDOW(x) (GmWindow *)(x)
 
-#ifndef _
-#ifdef DISABLE_GNOME
 #include <libintl.h>
+#ifndef _
 #define _(x) gettext(x)
 #ifdef gettext_noop
 #define N_(String) gettext_noop (String)
@@ -114,7 +113,6 @@
 #define N_(String) (String)
 #endif
 #endif
-#endif
 
 
 typedef struct _GmWindow GmWindow;
diff -ru ../gnomemeeting-0.98.0/src/config.cpp gnomemeeting-0.98.0/src/config.cpp
--- ../gnomemeeting-0.98.0/src/config.cpp	Mon Jun 23 05:16:33 2003
+++ gnomemeeting-0.98.0/src/config.cpp	Tue Jun 24 17:40:48 2003
@@ -928,8 +928,8 @@
   int vol = 0;
   char *mixer = NULL;
   GmWindow *gw = NULL;
-#ifdef HAS_IXJ
   GMH323EndPoint *endpoint = MyApp->Endpoint ();
+#ifdef HAS_IXJ
   GMLid *lid = NULL;
 #endif
   
diff -ru ../gnomemeeting-0.98.0/src/endpoint.cpp gnomemeeting-0.98.0/src/endpoint.cpp
--- ../gnomemeeting-0.98.0/src/endpoint.cpp	Sun Jun 22 05:35:25 2003
+++ gnomemeeting-0.98.0/src/endpoint.cpp	Wed Jun 25 11:25:55 2003
@@ -175,7 +175,7 @@
   ils_client = new GMILSClient ();
 
   /* Use IPv6 address family by default if available. */
-#ifdef P_HAS_IPV6
+#if 0 // for Darwin
   if (PIPSocket::IsIpAddressFamilyV6Supported())
     PIPSocket::SetDefaultIpAddressFamilyV6();
 #endif
diff -ru ../gnomemeeting-0.98.0/src/gnomemeeting.cpp gnomemeeting-0.98.0/src/gnomemeeting.cpp
--- ../gnomemeeting-0.98.0/src/gnomemeeting.cpp	Sun Jun 22 18:46:14 2003
+++ gnomemeeting-0.98.0/src/gnomemeeting.cpp	Tue Jun 24 17:40:48 2003
@@ -126,7 +126,9 @@
     
     endpoint->ClearAllCalls (H323Connection::EndedByLocalUser, TRUE);
     endpoint->RemoveVideoGrabber (true);
+#ifdef HAS_IXJ
     endpoint->RemoveLid ();
+#endif
   }
   RemoveEndpoint ();
 
